﻿using System.Collections.Generic;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace GGJ_Engine
{
    // Handles all registerd interface elements
    public class Interface : SpriteBatch
    {
        public List<InterfaceElement> elements = new List<InterfaceElement>();

        private ContentManager content;

        public Interface(GraphicsDevice graphicsDevice, ContentManager content) :
            base(graphicsDevice)
        {
            this.content = content;
        }

        public virtual void LoadContent()
        {
            foreach (InterfaceElement element in this.elements)
            {
                element.LoadContent();
            }
        }

        public void Update()
        {
        }

        public void Draw()
        {
            this.Begin();

            foreach (InterfaceElement element in this.elements)
            {
                if (null != element.getCurrentTexture() && null != element.Rectangle)
                {
                    base.Draw(element.getCurrentTexture(), element.Rectangle, Color.White);
                }
            }
            this.End();
        }
    }
}
