﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace GGJ_Game
{
    enum TileBlocking
    {
        Blocking_Full,      // Full blocking, not passable
        Blocking_No,        // No blocking
        Blocking_Half,      // Passable in case the player jumps from down
        Blocking_Box        // Box, fully blocking
    }
    class Tile
    {
        public int xPos;
        public int yPos;

        internal TileBlocking TileBlockingType
        {
            get { return tileBlockingType; }
            set { tileBlockingType = value; }
        }
        TileBlocking tileBlockingType;

        public Vector2 TextureSize
        {
            get { return textureSize; }
            set
            {
                textureSize = value;
                TextureWidth = (int)TextureSize.X;
                TextureWidth = (int)TextureSize.Y;
            }
        }

        public int TextureWidth = 40;
        public int TextureHeight = 32;
        private Vector2 textureSize = new Vector2(40, 32);

        public Texture2D Texture;

        public bool flip;

        public Tile(int x, int y, Texture2D texture, TileBlocking tileblockingType, Vector2 textureSize, bool flip = false)
        {
            xPos = x;
            yPos = y;
            this.Texture = texture;
            this.TextureSize = textureSize;
            this.flip = flip;
            this.TileBlockingType = tileblockingType;
        }
    }
}
